Subject: [PATCH V3 00/10] PM: Create the AVS(Adaptive Voltage Scaling)

From: [email-masked] (Kevin Hilman)
Date: Thu, 24 May 2012 10:24:15 -0700

"J, KEERTHY" <[email-masked]> writes:

> On Tue, May 15, 2012 at 11:16 AM, J, KEERTHY <[email-masked]> wrote:
>> On Tue, May 8, 2012 at 5:21 AM, Kevin Hilman <[email-masked]> wrote:
>>> Rafael,
>>>
>>> Keerthy <[email-masked]> writes:
>>>
>>>> From: J Keerthy <[email-masked]>
>>>>
>>>> AVS(Adaptive Voltage Scaling) is a power management technique which
>>>> controls the operating voltage of a device in order to optimize (i.e. reduce)
>>>> its power consumption. The voltage is adapted depending on static factors
>>>> (chip manufacturing process) and dynamic factors (temperature
>>>> depending performance).
>>>> The TI AVS solution is named Smartreflex.
>>>>
>>>> To that end, create the AVS driver in drivers/power/avs and
>>>> move the OMAP SmartReflex code to the new directory. The
>>>> class driver is still retained in the mach-omap2 directory.
>>>
>>> How should we handle this for upstream?
>>>
>>> It does a bunch of cleanup under arch/arm then does the move to
>>> drivers/power the end. ?To avoid conflicts with other OMAP core changes,
>>> I would suggest we take this through the OMAP tree.
>>>
>>> With your ack, I'd be glad to take it.
>>
>> Hello Rafael,
>>
>> A gentle ping on this series.
>
> Hi Greg,
>
> This series has Kevin's comments incorporated.
>
> Kevin,
>
> Can i have your Ack for this series?
>

Well, as mentioned above, I'm waiting for Rafael's ack, then I will
merge it.

Because of all the arch/arm/mach-omap2/* changes, I would like to merge
this via the OMAP tree to avoid conflicts with other stuff we have
changing in arch/arm/mach-omap2/*

Kevin